CVE-2018-2826

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Vulnerability in the Java SE component of Oracle Java SE (subcomponent: Libraries). The supported version that is affected is Java SE: 10. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE. Successful attacks require human interaction from a person other than the attacker and while the vulnerability is in Java SE, attacks may significantly impact additional products. Successful attacks of this vulnerability can result in takeover of Java SE. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets, that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability does not apply to Java deployments, typically in servers, that load and run only trusted code (e.g., code installed by an administrator). CVSS 3.0 Base Score 8.3 (Confidentiality, Integrity and Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H).

References

http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html

http://www.securityfocus.com/bid/103796

http://www.securitytracker.com/id/1040697

https://help.ecostruxureit.com/display/public/UADCE725/Security+fixes+in+StruxureWare+Data+Center+Expert+v7.6.0

https://security.netapp.com/advisory/ntap-20180419-0001/

https://usn.ubuntu.com/3747-1/

Details

Source: MITRE

Published: 2018-04-19

Updated: 2019-10-03

Risk Information

CVSS v2

Base Score: 5.1

Vector: AV:N/AC:H/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 4.9

Severity: MEDIUM

CVSS v3

Base Score: 8.3

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

Impact Score: 6

Exploitability Score: 1.6

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:oracle:jdk:1.10.0:*:*:*:*:*:*:*

cpe:2.3:a:oracle:jre:1.10.0:*:*:*:*:*:*:*

Configuration 2

OR

cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:*:*:*:*

Configuration 3

OR

cpe:2.3:a:netapp:cloud_backup:-:*:*:*:*:*:*:*

cpe:2.3:a:netapp:e-series_santricity_management:-:*:*:*:*:vcenter:*:*

cpe:2.3:a:netapp:e-series_santricity_management:-:*:*:*:*:vmware_sra:*:*

cpe:2.3:a:netapp:e-series_santricity_management:-:*:*:*:*:vmware_vasa:*:*

cpe:2.3:a:netapp:e-series_santricity_os_controller:*:*:*:*:*:*:*:* versions from 11.0 to 11.40 (inclusive)

cpe:2.3:a:netapp:e-series_santricity_storage_manager:-:*:*:*:*:*:*:*

cpe:2.3:a:netapp:e-series_santricity_web_services:-:*:*:*:*:*:*:*

cpe:2.3:a:netapp:oncommand_insight:-:*:*:*:*:*:*:*

cpe:2.3:a:netapp:oncommand_unified_manager:-:*:*:*:*:*:*:*

cpe:2.3:a:netapp:oncommand_unified_manager:-:*:*:*:*:7-mode:*:*

cpe:2.3:a:netapp:oncommand_unified_manager:7.3:*:*:*:*:*:*:*

cpe:2.3:a:netapp:oncommand_unified_manager:*:*:*:*:*:windows:*:*

cpe:2.3:a:netapp:oncommand_unified_manager:*:*:*:*:*:vsphere:*:*

cpe:2.3:a:netapp:oncommand_workflow_automation:-:*:*:*:*:*:*:*

cpe:2.3:a:netapp:santricity_cloud_connector:-:*:*:*:*:*:*:*

cpe:2.3:a:netapp:snapmanager:-:*:*:*:*:oracle:*:*

cpe:2.3:a:netapp:snapmanager:-:*:*:*:*:sap:*:*

cpe:2.3:a:netapp:storagegrid:-:*:*:*:*:*:*:*

cpe:2.3:a:netapp:virtual_storage_console:*:*:*:*:*:vsphere:*:*

Configuration 4

AND

OR

cpe:2.3:a:netapp:storage_replication_adapter:*:*:*:*:*:vsphere:*:*

cpe:2.3:a:netapp:vasa_provider:*:*:*:*:*:*:*:*

OR

cpe:2.3:o:netapp:clustered_data_ontap:-:*:*:*:*:*:*:*

Tenable Plugins

View all (12 total)

IDNameProductFamilySeverity
700657Oracle Java SE 6 < Update 191 / 7 < Update 181 / 8 < Update 171 / 10 < Update 1 Multiple Vulnerabilities (April 2018 CPU)Nessus Network MonitorWeb Clients
high
121938Photon OS 2.0: Openjdk8 PHSA-2018-2.0-0039NessusPhotonOS Local Security Checks
critical
121835Photon OS 1.0: Openjdk PHSA-2018-1.0-0130NessusPhotonOS Local Security Checks
high
120060SUSE SLES15 Security Update : java-1_8_0-ibm (SUSE-SU-2018:2068-1)NessusSuSE Local Security Checks
high
118267SUSE SLES12 Security Update : java-1_8_0-ibm (SUSE-SU-2018:1738-2)NessusSuSE Local Security Checks
high
117479Ubuntu 18.04 LTS : OpenJDK 10 regression (USN-3747-2)NessusUbuntu Local Security Checks
high
112033Ubuntu 18.04 LTS : OpenJDK 10 vulnerabilities (USN-3747-1)NessusUbuntu Local Security Checks
high
111932Photon OS 1.0: Mysql / Openjdk PHSA-2018-1.0-0130 (deprecated)NessusPhotonOS Local Security Checks
high
111298Photon OS 2.0 : openjdk8 / httpd / librelp / zsh / libvirt (PhotonOS-PHSA-2018-2.0-0039) (deprecated)NessusPhotonOS Local Security Checks
critical
110620SUSE SLES12 Security Update : java-1_8_0-ibm (SUSE-SU-2018:1738-1)NessusSuSE Local Security Checks
high
109203Oracle Java SE Multiple Vulnerabilities (April 2018 CPU) (Unix)NessusMisc.
high
109202Oracle Java SE Multiple Vulnerabilities (April 2018 CPU)NessusWindows
high